glibmm 2.56.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value_Pointer< T, PtrT > Class Template Reference
Generic Values

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value_Pointer< T, PtrT >:
[legend]

## Public Types
using | CppType = PtrT
using | CType = void*

## Public Member Functions
void | set (CppType data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

## ◆ CppType

template <class T, class PtrT>

using Glib::Value_Pointer< T, PtrT >::CppType = PtrT

## ◆ CType

template <class T, class PtrT>

using Glib::Value_Pointer< T, PtrT >::CType = void*

## Member Function Documentation

## ◆ get()

template <class T, class PtrT>

CppType Glib::Value_Pointer< T, PtrT >::get | ( |  | ) | const
| inline

## ◆ set()

template <class T, class PtrT>

void Glib::Value_Pointer< T, PtrT >::set | ( | CppType | data | ) |
| inline

## ◆ value_type()

template <class T, class PtrT>

static GType Glib::Value_Pointer< T, PtrT >::value_type | ( |  | ) |
| inline static